package com.dsk.web.controller.search.controller;

import com.dsk.common.core.domain.AjaxResult;
import com.dsk.common.dtos.ComposeQueryDto;
import com.dsk.web.controller.search.service.BusinessOpportunityRadarService;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * 查企业
 * @author Administrator
 *
 */
@RequestMapping("/enterprise")
@RestController
public class CompanySearchController {


    @Resource
    BusinessOpportunityRadarService opportunityRadarService;

    /*
     * 模糊查询企业名称
     */
    @RequestMapping("/index")
    public AjaxResult landMarketPage(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.enterprisePage(compose);
    }

    /*
     * 完全匹配企业名称
     */
    @RequestMapping("/findByName")
    public AjaxResult findByName(@RequestBody ComposeQueryDto compose) {
        return opportunityRadarService.enterpriseByName(compose);
    }
}
